
QGIS Application - Bug report #21069

crash by geometry check

2019-01-22 11:48 AM - Torsten Hase

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Geometry Checker

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28887

Description

User Feedback

Crash by checking geometry

Report Details

Crash ID: c2bc24c6e892e70327ec1ebf92afb094765634d7

Stack Trace

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

sqlite3_blob_bytes :

OGRCreateDefaultLayerIndex :

OGRCreateDefaultLayerIndex :

OGRDataSource::DestroyDataSource :

QgsOgrProviderUtils::GDALCloseWrapper qgsogrprovider.cpp:3975

qgsConnectionPool_ConnectionDestroy qgsogrconnpool.h:48

QgsConnectionPoolGroup<QgsOgrConn * __ptr64>::invalidateConnections qgsconnectionpool.h:189

QgsConnectionPool<QgsOgrConn * __ptr64,QgsOgrConnPoolGroup>::invalidateConnections qgsconnectionpool.h:330

QgsOgrProvider::changeGeometryValues qgsogrprovider.cpp:2261

<lambda_b7ba3b70f95c657fc46f4bababfd6602>::operator() qgsvectordataproviderfeaturepool.cpp:151

QgsThreadingUtils::runOnMainThread<<lambda_b7ba3b70f95c657fc46f4bababfd6602> > qgsthreadingutils.h:64

QgsVectorDataProviderFeaturePool::updateFeature qgsvectordataproviderfeaturepool.cpp:145

QgsGeometryMultipartCheck::fixError qgsgeometrymultipartcheck.cpp:61

QgsGeometryChecker::fixError qgsgeometrychecker.cpp:133

QgsGeometryCheckerResultTab::fixErrors qgsgeometrycheckerresulttab.cpp:525

QgsGeometryCheckerResultTab::fixErrorsWithDefault qgsgeometrycheckerresulttab.h:68

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgsGeometryCheckerResultTab::*)(void)

__ptr64>::call qobjectdefs_impl.h:134

QtPrivate::FunctionPointer<void (__cdecl QgsGeometryCheckerResultTab::*)(void) __ptr64>::call<QtPrivate::List<>,void>

qobjectdefs_impl.h:168

QtPrivate::QSlotObject<void (__cdecl QgsGeometryCheckerResultTab::*)(void) __ptr64,QtPrivate::List<>,void>::impl

qobjectdefs_impl.h:397

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:363

QCoreApplication::notifyInternal2 :

2025-04-26 1/2



QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:363

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1524

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:cd1f3162c6

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-01-22 10:20 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Category changed from GUI to C++ plugins/Geometry Checker

Please attach sample data and describe steps to replicate.

#2 - 2019-02-24 01:14 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
